/*
 * fcntl.h
 */


#ifndef share_fcntl_h
#define share_fcntl_h


#ifndef ASM_FILE


enum{
	/* Flags and are used in the oflag value to open(). They shall be bitwise-distinct. */
	O_CREAT=1,		/* Create file if it does not exist. */
	O_EXCL=2,		/* Exclusive use flag. */
	O_NOCTTY=4,		/* Do not assign controlling terminal. */
	O_TRUNC=8,		/* Truncate flag. */

	/* File access modes used for open() and fcntl(). */
	O_RDONLY=16,	/* Open for reading only. */
	O_RDWR=32,		/* Open for reading and writing. */
	O_WRONLY=64,	/* Open for writing only. */
};


#endif


#endif
